---
id: workflow-execution-pending-signals
title: List pending signals
description: Lists the signal waits the execution is currently parked on.
sidebar_label: List pending signals
hide_title: true
hide_table_of_contents: true
api: >-
  eJztV0tv20YQ/iuLvSRBqUdSBwl4c9OkcFsEhmvDAQzBGnGH0sbLXWZ3KFkQ+N+LWVK0HrRdtJce7ItFzuubJ2c2kmAeZHojr52/y41biaDnFkyQk0QqDJnXJWlnZSr/1IGCoAW2LGIFun2B95hVzCZ0EFnlPVoya1GCv0MlnB3KRLoSPTDPmZKpXLXmBp1oWqJV2s4HWwCJLMFDgYSeEW6kZhQl0EIm0kKBMpVayUR6/FFpj0qm5CtMZMgWWIBMN5LWJXMF8trOZX3o0eU+dMUw8R6K0rAUU24/5j/D29m77ES9R1lPEhkwq7ymdUQ0Q/DoTytayPRmwmSPoXQ2YGDz78Zj/ndstHW1iSBbzZwltMTcUJZGZzFSo++BRTbHHrnZd8yIQ+Q5rqQbgwpolwu8h7VMpCYsIp00RdfOG/vXoFnHoc59vKe76f7H2d7H1Ulw7nvSwqofIQXC8jGptoYeIXtc6qCbALZEbQnn6JmaOe/RxDD/get+09Hvr1A0Tjwa1EO5roRuOJneLcGk27qQkzqRpAt0Ff2KoIy2eKwkkbnzBZBMOaU4YAHW7OxlI9ongrYq2CbXkrYV8ivvnY8dEpxZ4mClaTFQmENlKCLJPAKhOu1V2I+hQIKDOmsrp97+JfLk27fjyv9kNFoSEdRQcB/MnFqLAOsgVgsgsWLyyjs7TwXYhlFM2cg0ESAWVQF24BEUzAyKqUICbZhkVSKcFUswWsWUihy0qTwGfo8CLfm1KNELl+dt7+UajXqi90rvZgaLn3p6cNtFDcezHcSeBgKrwKvWqej464svn8SHj+MPorUlGo9CIgL6JSoBQUwfwzR9c9xnDY7jTO7j+RwhMI+4ujhLBA7nQzFdEJUhHY26yRzWgbAYKlyOIujwQLKOBrmrrJruj8x/pUPGjogh7SnqTvdXR6LjDwRUhZ7O3pE4GZ/Eic8hfU612MIS3CJCK7HKb3V+/cvsOi+r+dgKvOfPH9vWlpOZPQO3czSMFObaag5+GB2ojeMiBqZnwuxn7dxj4P7or/P0+To/HFiPfEPiB/Zp13gmh1HIwI4yZ3M9b+ZCCDB/JipFFUgsYIli+9EWrfW1eJU5ha92p8j7vilyZfG+xIxQNV3i24Hy0skvnfzSyf/LTm62hoXjxX+OEWiEthvabkUMo41W9ahdkW8froGm25tToPJmp0ih1ENbGVMaIF5ahpkr9pb1v7jjm6Dsruydf6xItocDPzdMMml/fNkuQr9fX8o6Fk7uWJzxNDl9OxwPx7Irf/l1B444PT/juJYuUAFxBLXnC59U3THw4OleuWwextp/PcFabwnvaVQa0LFoYyi3xXLTLdUhZnubE5nINN5ah2mZJHLhArHkZjODgFfe1DW//lGh5ytpksgleM0rW0yd0oF/K5nmYAI+4e3ri7ay3oi+S63Xm23jWW67JZiKn2Qi73jH53Ox5rV3gaDQRzgN4TTLsKQdkaMrjMupK+LfPl/KRMJ+ER0UTdTeC2ezaTgu3R3auu7QET8zwLr+G5R4dUU=
sidebar_class_name: get api-method
info_path: docs/api/nullplatform-api
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/workflow-execution-pending-signals'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List pending signals"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/workflows/executions/{id}/pending_signals"}
  context={"endpoint"}
>

</MethodEndpoint>

Lists the signal waits the execution is currently parked on.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The execution id.","example":"exec_8f3a1b2c4d5e"}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The pending waits.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"title":"PendingWait","type":"object","description":"A signal wait the execution is currently parked on.","properties":{"executionId":{"type":"string"},"waitId":{"type":"string"},"stepId":{"type":"string"},"workflowId":{"type":"string"},"revision":{"type":"integer"},"correlationKey":{"type":"string"},"signalNames":{"type":"array","items":{"type":"string"},"example":["approval:response"]},"timeoutDeadline":{"type":"string","format":"date-time"},"onTimeout":{"type":"string","enum":["continue","error","resolve-with-default"]},"createdAt":{"type":"string","format":"date-time"},"metadata":{"type":"object"}}}}}}}}},"4XX":{"description":"Client error. The body says what went wrong: an error `type`, a human-readable `detail`, and, on validation failures, one entry per offending field.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}},"5XX":{"description":"Unexpected server error.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}}}}
>

</StatusCodes>

